All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultFilterLogicOrNode

    com.sas.dataselectors.filters.DefaultFilterLogicOrNode

All Implemented Interfaces:
  FilterLogicBaseNodeInterface, FilterLogicOrNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class DefaultFilterLogicOrNode

implements FilterLogicOrNodeInterface

The default implementation of FilterLogicOrNodeInterface, this tree node connects the expressions of its child nodes with boolean OR logic.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`description, label, propertyChangeSupport`

Fields inherited from interface com.sas.dataselectors.filters.FilterLogicOrNodeInterface
`FILTERLOGIC_NODE_TYPE`

Constructor Summary
`DefaultFilterLogicOrNode()`

Method Summary
`boolean` | `getAllowsChildren()` Returns true if the node allows children, false otherwise.
`int` | `getMaxChildren()` Returns the maximum number of child nodes allowed.
`boolean` | `isLeaf()` Returns true if the node is a leaf, false otherwise.

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`addPropertyChangeListener, clone, dispose, firePropertyChange, firePropertyChange, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getIndex, getParentLogicNode, removePropertyChangeListener, setFilterDescription, setFilterLabel, setUserObject`

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicBaseNodeInterface
`dispose, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getParentLogicNode, getUserObject`

Constructor Detail

### DefaultFilterLogicOrNode

    public DefaultFilterLogicOrNode()

Method Detail

### getMaxChildren

    public int getMaxChildren()

  Returns the maximum number of child nodes allowed.

  Specified by:
    `getMaxChildren` in interface `FilterLogicBaseNodeInterface`
  Overrides:
    `getMaxChildren` in class `AbstractFilterLogicBaseNode`
  Returns:
    -1, Allows unlimited child nodes

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the node allows children, false otherwise.

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getAllowsChildren` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    true, children will always be allowed for this type of node

### isLeaf

    public boolean isLeaf()

  Returns true if the node is a leaf, false otherwise.

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    false, this node should not be a leaf

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.